Package com.verisign.epp.transport.server

## Class EPPPlainServer

- java.lang.Object
- - com.verisign.epp.transport.server.EPPPlainServer

- All Implemented Interfaces:
    `EPPServerCon`
  Direct Known Subclasses:
    `EPPPlainServerSingle`

      public class EPPPlainServer
      extends java.lang.Object
      implements EPPServerCon

  EPP Plain TCP Server

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPPlainServer()` | Pre-condition the util.Env provide the properties

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Close the server by closing the server socket.
    `void` | `loop()` | Client connection loop for the EPP Plain TCP Server.
    `void` | `RunServer​(ServerEventHandler aServerEventHandler)` | Runs the Plain TCP Server, which starts the server socket, and enters the client connection loop.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPPlainServer

          public EPPPlainServer()
                         throws EPPConException

      Pre-condition the util.Env provide the properties
      Throws:
        `EPPConException` - Exception getting the server port or connection timeout

  - ### Method Detail

    - #### RunServer

          public void RunServer​(ServerEventHandler aServerEventHandler)
                         throws EPPConException

      Runs the Plain TCP Server, which starts the server socket, and enters the client connection loop.
      Specified by:
        `RunServer` in interface `EPPServerCon`
      Parameters:
        `aServerEventHandler` - Server event handler to get called for new client connections
      Throws:
        `EPPConException` - Exception for the server

    - #### loop

          public void loop()
                    throws EPPConException

      Client connection loop for the EPP Plain TCP Server.
      Throws:
        `EPPConException` - Exception in the EPP Plain TCP Server loop

    - #### close

          public void close()
                     throws EPPConException

      Close the server by closing the server socket.
      Throws:
        `EPPConException` - Exception closing the server